Module javafx.controls
Package javafx.scene.control.skin

# Class AccordionSkin

java.lang.Object
javafx.scene.control.SkinBase<Accordion>
javafx.scene.control.skin.AccordionSkin

All Implemented Interfaces:
  `Skin<Accordion>`

    public class AccordionSkin
    extends SkinBase<Accordion>

Default skin implementation for the `Accordion` control.

Since:
  9
See Also:
  `Accordion`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AccordionSkin​(Accordion control)` | Creates a new AccordionSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected double` | `computeMinHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)` | Computes the minimum allowable height of the Skin, based on the provided width.
  `protected double` | `computePrefHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)` | Calculates the preferred height of this `SkinBase`.
  `void` | `dispose()` | Called by a Skinnable when the Skin is replaced on the Skinnable.
  `protected void` | `layoutChildren​(double x, double y, double w, double h)` | Called during the layout pass of the scenegraph.

  ### Methods inherited from class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinWidth, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccordionSkin

    public AccordionSkin​(Accordion control)
    Creates a new AccordionSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### dispose

    public void dispose()
    Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.
    Specified by:
      `dispose` in interface `Skin<Accordion>`
    Overrides:
      `dispose` in class `SkinBase<Accordion>`

  - ### computeMinHeight

    protected double computeMinHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)
    Computes the minimum allowable height of the Skin, based on the provided width.
    Overrides:
      `computeMinHeight` in class `SkinBase<Accordion>`
    Parameters:
      `width` - The width of the Skin, in case this value might dictate the minimum height.
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      A double representing the minimum height of this Skin.

  - ### computePrefHeight

    protected double computePrefHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)
    Calculates the preferred height of this `SkinBase`. The default implementation calculates this height as the height of the area occupied by its managed children when they are positioned at their current positions at their preferred heights.
    Overrides:
      `computePrefHeight` in class `SkinBase<Accordion>`
    Parameters:
      `width` - the width that should be used if preferred height depends on it
      `topInset` - the pixel snapped top inset
      `rightInset` - the pixel snapped right inset
      `bottomInset` - the pixel snapped bottom inset
      `leftInset` - the pixel snapped left inset
    Returns:
      the calculated preferred height

  - ### layoutChildren

    protected void layoutChildren​(double x, double y, double w, double h)
    Called during the layout pass of the scenegraph.
    Overrides:
      `layoutChildren` in class `SkinBase<Accordion>`
    Parameters:
      `x` - the x position
      `y` - the y position
      `w` - the width
      `h` - the height